accrue.analysis.visit

## Class RegisterExpressions

- java.lang.Object
- - polyglot.visit.NodeVisitor
  - - accrue.analysis.visit.RegisterExpressions

- All Implemented Interfaces:
    java.lang.Cloneable, polyglot.util.Copy<polyglot.visit.NodeVisitor>

      public class RegisterExpressions
      extends polyglot.visit.NodeVisitor

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface polyglot.util.Copy

      `polyglot.util.Copy.Util`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected polyglot.ast.Node` | `currentStmt`
    `protected java.util.Map<polyglot.ast.Node,java.util.Set<polyglot.ast.Node>>` | `enclosedExprs`
    `protected java.util.Map<polyglot.ast.Node,polyglot.ast.Node>` | `enclosingStmt`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RegisterExpressions(java.util.Map<polyglot.ast.Node,polyglot.ast.Node> enclosingStmt, java.util.Map<polyglot.ast.Node,java.util.Set<polyglot.ast.Node>> enclosedExprs)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `polyglot.visit.NodeVisitor` | `enter(polyglot.ast.Node parent, polyglot.ast.Node n)`
    `polyglot.ast.Node` | `leave(polyglot.ast.Node old, polyglot.ast.Node n, polyglot.visit.NodeVisitor v)`

    - ### Methods inherited from class polyglot.visit.NodeVisitor

      `begin, copy, enter, finish, finish, lang, leave, override, override, toString, visitEdge, visitEdgeNoOverride`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### currentStmt

          protected polyglot.ast.Node currentStmt

    - #### enclosingStmt

          protected java.util.Map<polyglot.ast.Node,polyglot.ast.Node> enclosingStmt

    - #### enclosedExprs

          protected java.util.Map<polyglot.ast.Node,java.util.Set<polyglot.ast.Node>> enclosedExprs

  - ### Constructor Detail

    - #### RegisterExpressions

          public RegisterExpressions(java.util.Map<polyglot.ast.Node,polyglot.ast.Node> enclosingStmt,
                             java.util.Map<polyglot.ast.Node,java.util.Set<polyglot.ast.Node>> enclosedExprs)

  - ### Method Detail

    - #### enter

          public polyglot.visit.NodeVisitor enter(polyglot.ast.Node parent,
                                         polyglot.ast.Node n)

      Overrides:
        `enter` in class `polyglot.visit.NodeVisitor`

    - #### leave

          public polyglot.ast.Node leave(polyglot.ast.Node old,
                                polyglot.ast.Node n,
                                polyglot.visit.NodeVisitor v)

      Overrides:
        `leave` in class `polyglot.visit.NodeVisitor`